Skip to main content
GET
/
api
/
topics
List topics
curl --request GET \
  --url https://api.mymarky.ai/api/topics \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "business_id": "<string>",
    "title": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "body": "<string>",
    "enabled": true,
    "category_id": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mymarky.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_id
string
required

Business ID to list topics for

Response

Successful Response

id
string
required

Topic ID

business_id
string
required

Business this topic belongs to

title
string
required

Topic title

created_at
string<date-time>
required

When the topic was created

body
string | null

Topic description or notes

enabled
boolean
default:true

Whether the topic is active for generation

category_id
string | null

Category ID

updated_at
string<date-time> | null

Last update time